%global _hardened_build 1

%define _prefix /opt/symas
%define _libdir %{_prefix}/lib
%define _varfix /var/opt/symas
%define _etcfix /etc/opt/symas

Name:		symas-openldap-pw-bcrypt
Version:	1.0.0
Release:	1%{?dist}
Summary:	Symas's OpenLDAP Bcrypt module build

License:	Public Domain
URL:		https://github.com/wclarie/openldap-bcrypt/
Source:		%{name}-%{version}.tar.gz

BuildRequires:	symas-openldap-moddev
Requires:	symas-openldap-servers

Patch0: 0001-Fix-Makefile.patch
%description
This package contains the bcrypt password module for OpenLDAP

%prep
%setup -nq pw-bcrypt-%{version}.tar.gz
%patch0 -p1


%build
make prefix=%{_prefix} LDAP_INC="-I%{_prefix}/include -I%{_prefix}/include/moddev" LDAP_LIB="-L%{_libdir} -llber -lldap" \
	LIBTOOL=%{_prefix}/bin/moddev/libtool libexecdir=%{_libdir}


%install
make install DESTDIR=%{buildroot} prefix=%{_prefix} libexecdir=%{_libdir} LIBTOOL=%{_prefix}/bin/moddev/libtool
rm -f %{buildroot}%{_libdir}/openldap/pw-bcrypt.a


%files
%{_libdir}/openldap/pw-bcrypt*


%changelog
* Tue Apr 6 2021 Symas Support <support@symas.com>
- initial packaging
